### Method

# GExiv2 Metadata as_bytes

since: 0.16.0

#### Declaration [src]

    GBytes*
    gexiv2_metadata_as_bytes (
      GExiv2Metadata* self,
      GBytes* bytes,
      GError** error
    )

#### Description [src]

Saves the metadata to the stream by reading the stream into memory, copying this object’s metadata into the image, then writing the image as a stream back out.

if `bytes` is `NULL`, a copy of the internal image with updated metadata will be returned.

Available since: 0.16.0

#### Parameters

`bytes`

  Type: `GBytes`

  An image buffer to update the metadata on, nor `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GBytes`

A newly allocated GBytes object containing the image with new metadata.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.